apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: flux-system
resources:
  - https://raw.githubusercontent.com/fluxcd/flux2/v0.21.0/manifests/monitoring/monitoring-config/podmonitor.yaml
configMapGenerator:
  - name: flux-grafana-dashboards
    files:
      - https://raw.githubusercontent.com/fluxcd/flux2/v0.21.0/manifests/monitoring/grafana/dashboards/control-plane.json
      - https://raw.githubusercontent.com/fluxcd/flux2/v0.21.0/manifests/monitoring/grafana/dashboards/cluster.json
    options:
      labels:
        grafana_dashboard: flux-system
